=== debian/control ===
Source: ros-foxy-bondcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-bond, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-smclib, uuid-dev, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-foxy-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-bond, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-smclib, uuid-dev, ros-foxy-ros-workspace
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.
